Others
These endpoints provide general information about the server. At the moment, they allow to retrieve the set of languages supported by transformation functions, as well as public information that is primarily consumed by the Admin console.
Get public metadata
Retrieves public, non-sensitive metadata about the server. The endpoint is unauthenticated and safe for client-side use, exposing only data intended for discovery such as server capabilities and configuration hints.
Request
No parameters.Response
-
installationID
uuidUniquely identifies the Krenalis installation.
-
externalURL
stringPublic address used to access the server from outside the internal network.
-
externalEventURL
stringPublic address for the event ingestion endpoint
/v1/events, making it reachable externally. -
externalAssetsURLs
array of stringList of base URLs (comma-separated) from which Krenalis should retrieve external assets (as icons), related to connector and data warehouse brands.
The order determines the precedence with which assets should be retrieved (the first URL takes precedence, otherwise the second one should fall back, and so on).
Can be empty.
-
potentialConnectorsURL
stringURL of the JSON file that defines both potential connectors and those currently being implemented. The Admin console reads this file to display them.
Can be empty.
-
javascriptSDKURL
stringLocation where the JavaScript SDK is served.
-
inviteMembersViaEmail
booleanIndicates whether adding new members occurs via an invitation sent via email.
-
canSendMemberPasswordReset
booleanIndicates whether the system can send password reset emails to members.
-
telemetryLevel
stringRequired telemetry data reporting mode in Krenalis:
"none": no telemetry data must be sent"errors": only error-related telemetry data must be sent"stats": only usage statistics must be sent"all": both error-related data and usage statistics must be sent
"none","errors","stats"or"all".
curl https://example.com/v1/public/metadata \ -H "Authorization: Bearer api_xxxxxxx" {
"installationID": "9d16fb0b-adf1-4b84-b1b9-be1d017f0dfc",
"externalURL": "https://example.com/",
"externalEventURL": "https://example.com/v1/events",
"externalAssetsURLs": [
"https://assets.krenalis.com/"
],
"potentialConnectorsURL": "https://assets.krenalis.com/admin/connectors/potentials.json",
"javascriptSDKURL": "https://cdn.krenalis.com/krenalis.min.js",
"inviteMembersViaEmail": true,
"canSendMemberPasswordReset": true,
"telemetryLevel": "all"
}List transformation languages
Returns a list of supported languages that can be used for transformation functions.
Request
No parameters.Response
-
languages
array of stringThe names of the supported languages.
curl https://example.com/v1/system/transformations/languages \ -H "Authorization: Bearer api_xxxxxxx" {
"languages": [
"JavaScript",
"Python"
]
}